> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/api-abi/core-smart-contracts/isimplekyberproxy.md).

# ISimpleKyberProxy

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

For the most updated information, please refer to:

* [**`Classic`**](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/api-abi/core-smart-contracts/broken-reference/README.md)
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](broken://pages/DCqb2Gq8yk2f2UIjmGEs)
* [**`Aggregator`**](broken://pages/P4AAjSd0nrbC42bSddka)
  {% endhint %}

## interface ISimpleKyberProxy

imports IERC20

*Source*: [ISimpleKyberProxy.sol](https://github.com/KyberNetwork/smart-contracts/blob/master/contracts/sol6/ISimpleKyberProxy.sol)

***

### INDEX[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-isimplekyberproxy#index) <a href="#index" id="index"></a>

\<AUTOGENERATED\_TABLE\_OF\_CONTENTS>

### REFERENCE[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-isimplekyberproxy#reference) <a href="#reference" id="reference"></a>

#### Functions[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-isimplekyberproxy#functions) <a href="#functions" id="functions"></a>

#### `swapTokenToEther`[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-isimplekyberproxy#swaptokentoether) <a href="#swaptokentoether" id="swaptokentoether"></a>

Execute a simple ETH -> ERC20 token trade.

***

function **swapTokenToEther**(IERC20 token, uint256 srcAmount, uint256 minConversionRate) external returns (uint256 destAmount) | Parameter | Type | Description | | ------------------- |:-------:|:-------------------------------------------------------------------:| | `token` | IERC20 | destination ERC20 token contract address | | `srcAmount` | uint256 | source ERC20 token amount in its token decimals | | `minConversionRate` | uint256 | minimum conversion rate; trade is canceled if actual rate is lower | **Returns:**\ destAmount - Amount of actual destination ETH wei

\\

#### `swapEtherToToken`[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-isimplekyberproxy#swapethertotoken) <a href="#swapethertotoken" id="swapethertotoken"></a>

Execute a simple ERC20 token -> ETH trade.

***

function **swapEtherToToken**(IERC20 token, uint256 minConversionRate) external returns (uint256 destAmount) | Parameter | Type | Description | | ------------------- |:-------:|:--------------------------------------------------------------------:| | `token` | IERC20 | destination ERC20 token contract address | | `minConversionRate` | uint256 | minimum conversion rate; trade is canceled if actual rate is lower | **Returns:**\ destAmount - Amount of actual destination tokens in twei

\\

#### `swapTokenToToken`[​](https://docs.kyberswap.com/Legacy/api-abi/core-smart-contracts/api_abi-isimplekyberproxy#swaptokentotoken) <a href="#swaptokentotoken" id="swaptokentotoken"></a>

Makes a simple ERC20 -> ERC20 token trade.

***

function **swapTokenToToken**(IERC20 src, uint256 srcAmount, IERC20 dest, uint256 minConversionRate) external returns (uint256 destAmount) | Parameter | Type | Description | | ------------------- |:-------:|:--------------------------------------------------------------------:| | `src` | IERC20 | source ERC20 token contract address | | `srcAmount` | uint256 | wei amount of source ERC20 token | | `dest` | IERC20 | destination ERC20 token contract address | | `minConversionRate` | uint256 | minimum conversion rate; trade is canceled if actual rate is lower | **Returns:**\ destAmount - Amount of actual destination tokens in twei


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kyberswap.com/reference/legacy/api-abi/core-smart-contracts/isimplekyberproxy.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
